import * as i from "react";
import "../config-provider/index.mjs";
import { RadioOptionTypeContextProvider as f } from "./context.mjs";
import l from "./radio.mjs";
import { ConfigContext as p } from "../config-provider/context.mjs";
var s = globalThis && globalThis.__rest || function(e, n) {
  var o = {};
  for (var t in e)
    Object.prototype.hasOwnProperty.call(e, t) && n.indexOf(t) < 0 && (o[t] = e[t]);
  if (e != null && typeof Object.getOwnPropertySymbols == "function")
    for (var r = 0, t = Object.getOwnPropertySymbols(e); r < t.length; r++)
      n.indexOf(t[r]) < 0 && Object.prototype.propertyIsEnumerable.call(e, t[r]) && (o[t[r]] = e[t[r]]);
  return o;
};
const c = (e, n) => {
  const {
    getPrefixCls: o
  } = i.useContext(p), {
    prefixCls: t
  } = e, r = s(e, ["prefixCls"]), a = o("radio", t);
  return /* @__PURE__ */ i.createElement(f, {
    value: "button"
  }, /* @__PURE__ */ i.createElement(l, Object.assign({
    prefixCls: a
  }, r, {
    type: "radio",
    ref: n
  })));
}, d = /* @__PURE__ */ i.forwardRef(c);
export {
  d as default
};
